cluster-nginx:
  tcp:
    5432: "transaction-plane/eurodat-postgresql:5432"
  fullnameOverride: eurodat-cluster-ingress-nginx
  controller:
    admissionWebhooks:
      certManager:
        enabled: true
    tcp:
      configMapNamespace: base
    autoscaling:
      maxReplicas: 3
    service:
      annotations:
        service.beta.kubernetes.io/azure-load-balancer-health-probe-request-path: "/healthz"
      # When using a static ip, the ip has to be set manually by either using
      # --set cluster-nginx.controller.service.loadBalancerIP="<ip>"
      # --set cluster-nginx.controller.service.type=LoadBalancer
      # or by setting it in the override values file.
      # loadBalancerIP:
      # type: LoadBalancer
    ingressClassResource:
      name: cluster-nginx
      enabled: true
      default: false
      controllerValue: "k8s.io/ingress-nginx-cluster"
    config:
      # Ingress-nginx 1.12 (controller 4.12.0) requre
      # - Snippet annotations config (by default "false" and "High")
      # - 'pathType: ImplementationSpecific' for regex matching host paths
      allow-snippet-annotations: true
      annotations-risk-level: Critical
      http-snippet: |
        limit_req_zone $binary_remote_addr zone=request_limit_api_second:10m rate=50r/s;
        limit_req_zone $binary_remote_addr zone=request_limit_api_minute:10m rate=2000r/m;

        limit_req_zone $binary_remote_addr zone=request_limit_keycloak_auth_second:10m rate=20r/s;
        limit_req_zone $binary_remote_addr zone=request_limit_keycloak_auth_minute:10m rate=1000r/m;
      # The following ssl configs are set to meet Mozilla's INTERMEDIATE TLS Configuration, cf. https://ssl-config.mozilla.org/
      ssl-ecdh-curve: X25519:prime256v1:secp384r1
      ssl-protocols: TLSv1.2 TLSv1.3
      ssl_ciphers: ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-CHACHA20-POLY1305
      ssl_stapling: on
      ssl_stapling_verify: on
    configAnnotations:
      nginx.ingress.kubernetes.io/configuration-snippet: |
        more_set_headers "X-Content-Type-Options: nosniff";
        more_set_headers "X-Frame-Options: SAMEORIGIN";
    extraArgs:
      default-ssl-certificate: base/eurodat-certificate-secret
